import { EntityFormDataContextDTO, EntityFormTemplate, FormData, FormDataDoc, FormManipulator, FormOutputBinding, FormOutputBindings, IModuleLink, MODULES } from 'bf-types';
export declare const deepResolve: (fullkey: string, object: Record<string, any>) => any;
export declare type Changes = {
    module: IModuleLink | {
        module_name: MODULES;
        module_id: 'create';
    };
    changes: Record<string, any>;
    create?: boolean;
};
export declare type ArrayModulePropertyStrategy = {
    stratergy: 'UPDATE' | 'UPSERT' | 'REPLACE';
    postKey: string;
};
export declare const resolveUnmanipulatedOutputValue: (binding: FormOutputBinding, fullContext: EntityFormDataContextDTO & FormDataDoc) => {
    source: 'value' | 'default';
    value: any;
    manipulators?: FormManipulator[];
};
export declare const resolveOutputBindingValue: (binding: FormOutputBinding, fullContext: EntityFormDataContextDTO & FormDataDoc) => any;
export declare const convertFormTemplateBindingFromDb: (formTemplate: FormOutputBindings) => FormOutputBindings;
export declare const convertToTemplateBidningFromDb: (formTemplate: FormOutputBindings) => FormOutputBindings;
export declare function castValueFromContext(contextKeyValue: any, matchValue: any): string | number | boolean;
export declare function resolveBracketStatergy(postKey: string): ArrayModulePropertyStrategy;
export declare function resolveBracketSyntax(target: string | undefined, keys: string[], bindingValues: any[], fullContext: EntityFormDataContextDTO & FormDataDoc): Array<{
    [x: string]: any;
}>;
export declare const formTemplateToChanges: (form_data: FormData, context: EntityFormDataContextDTO, formTemplate: Partial<EntityFormTemplate> & Pick<EntityFormTemplate, 'form_output_bindings' | 'linked_module_name'>, create?: boolean | undefined) => Changes[];
