"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getManipulatedValue = exports.isFormContextBinding = void 0;
const bf_types_1 = require("bf-types");
const FormOutputBindings_1 = require("./FormOutputBindings");
const isFormContextBinding = (input) => {
    if (typeof input === 'object' &&
        input &&
        typeof input.data_source === 'string' &&
        typeof input.data_key === 'string') {
        return true;
    }
    return false;
};
exports.isFormContextBinding = isFormContextBinding;
const getManipulatedValue = (bindings, context) => {
    const uro = FormOutputBindings_1.resolveUnmanipulatedOutputValue(bindings, context);
    let { value } = uro;
    const { manipulators } = uro;
    for (const manipulator of manipulators || []) {
        const rv = exports.isFormContextBinding(manipulator.value)
            ? exports.getManipulatedValue({ value: manipulator.value, type: 'VALUE' }, context)
            : manipulator.value;
        value = bf_types_1.formContextManipulate(value, manipulator.manipulator_type, manipulator.config, rv);
    }
    return value;
};
exports.getManipulatedValue = getManipulatedValue;
