import { ISODATE } from 'bf-types';
/**
 * Format an ISO timestamp like the following: Oct 14, 1983, 1:30 PM
 *
 * @param date A date formatted as an ISO timestamp
 */
export declare function formatIsoDate(date: ISODATE): string;
/**
 * Compare two date values by their year, month, and day.
 * Returns:
 *  -1   if the left date is before the day of the right.
 *   0   if the left date is on the same day as the right.
 *   1   if the left date is after the day of the right.
 *
 * @param left A date value.
 * @param right A date value.
 */
export declare function compareDates(left: Date, right: Date): number;
